Bug 858005 - Mouse jumps to edges / corners when using an absolute input device (ie virtual machine usb tablet)
Summary: Mouse jumps to edges / corners when using an absolute input device (ie virtua...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-server
Version: 6.4
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: rc
: ---
Assignee: Adam Jackson
QA Contact: Desktop QE
URL:
Whiteboard: AcceptedNTH
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-09-17 18:16 UTC by Marian Krcmarik
Modified: 2013-02-21 08:04 UTC (History)
18 users (show)

Fixed In Version: xorg-x11-server-1.13.3-3.el6
Doc Type: Bug Fix
Doc Text:
Cause: An uninitialised device transformation matrix caused a calculation to generate zero on certain movements on devices with absolute axes. The transformation matrix is used to bind a device to a specific area on the screen (or a specific screen). This bug only triggered if the device did not change the device transformation matrix and left it at its default value. Consequence: The generated zero value causes a reset of the pointer coordinates to 0/0, i.e. a jump to the top-left corner. Fix: The matrix is initialised to the identity matrix. Result: Pointer movement now works as expected.
Clone Of: 852841
Environment:
Last Closed: 2013-02-21 08:04:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0299 0 normal SHIPPED_LIVE xorg-x11-server bug fix and enhancement update 2013-02-20 20:35:47 UTC

Comment 1 Peter Hutterer 2012-09-20 13:22:41 UTC
MODIFIED

xorg-x11-server-1.13.3-3.el6

Comment 4 RHEL Program Management 2012-09-20 13:50:54 UTC
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.

Comment 10 errata-xmlrpc 2013-02-21 08:04:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0299.html


Note You need to log in before you can comment on or make changes to this bug.